<div class="modal-header text-wrap">
    <h5 class="modal-title"><a routerLink="/human-resource/dismissal"><i class="bi bi-chevron-left"></i></a>
        {{'humanresources.cardDismisal' | translate}} № {{candidateData?.id}}
    </h5>
    <hr>
</div>

<div class="d-flex justify-content-between col-8 my-3">
    <button class="btn btn-outline-dark" [class.active]="switchCase ==='personality'" (click)="switchCase = 'personality'">{{'humanresources.clientData' | translate}}</button>
    <button class="btn btn-outline-dark" [class.active]="switchCase === 'conclusion'" (click)="switchCase = 'conclusion'">{{'humanresources.assignBySupervisor' | translate}}</button>
    <button class="btn btn-outline-dark" [class.active]="switchCase === 'history'" (click)="switchCase = 'history'">{{'humanresources.history' | translate}}</button>
    <button class="btn btn-outline-dark" [class.active]="switchCase === 'bype-sheet'" (click)="switchCase = 'bype-sheet'">{{'humanresources.bypeass-sheet' | translate}}</button>
</div>
<div class="row">
    <div class="col-9" [ngSwitch]="switchCase"> 
        <app-dismissal-conclusion *ngSwitchCase="'conclusion'"></app-dismissal-conclusion>
        <app-dismissal-history *ngSwitchCase="'history'"></app-dismissal-history>  
        <app-dismissal-byte-sheet *ngSwitchCase="'bype-sheet'"></app-dismissal-byte-sheet>
        <app-dismissal-data *ngSwitchDefault></app-dismissal-data>
    </div>
    <div class="col-3 row border-start">
        <div class="d-flex flex-column">
            <div>
                <div class="d-flex lh-lg" *ngFor="let step of progress; let last = last">
                    <span class="fs-5 d-block progressbar"><i [class.text-primary]="last" class="bi bi-stop-circle-fill me-2 d-block icon"></i><span class="indicator" [class.d-none]="last"></span></span>
                    <span class="pb-1 small">{{step?.name}}</span>
                </div>
                
            </div>
        </div>
        <div  *ngIf="permission?.CreateConclusion" class="mt-auto ms-auto">
            <a class="fs-2" (click)="openConclusion(conclusion)"><i class="bi bi-plus-circle-dotted"></i></a>
        </div>
    </div>
</div>

<ng-template let-model #conclusion>
    <div class="card">
        <div class="card-header">
          <span class="fs-4">{{'humanresources.attachConclusion' | translate}}</span>
          <button class="btn-close float-end my-auto" (click)="close()"></button>
        </div>
        <div class="card-body">
            <form [formGroup]="form" (ngSubmit)="submit()">
                <div class="d-flex">
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="1" name="status" formControlName="status">
                        <label class="form-check-label">{{'humanresources.approve' | translate}}</label>
                    </div>
                    <!-- <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="2" name="status" formControlName="status">
                        <label class="form-check-label">На доработку</label>
                    </div> -->
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="3" name="status" formControlName="status">
                        <label class="form-check-label">{{'humanresources.cancel' | translate}}</label>
                    </div>
                </div>
                <div class="form-floating mt-3">
                    <textarea class="form-control" id="floatingTextarea" style="height: 100px" formControlName="comment"></textarea>
                    <label for="floatingTextarea">{{'humanresources.yourComment' | translate}}</label>
                  </div>
                  <div>
                    <label class="attachFile"><input type="file" id="attachFile" name="attachFile" (change)="fileOnChange($event)" multiple>
                        <i class="bi bi-paperclip"></i>
                        {{this.files.length !== 0 ? 'Прикрепить другой файл' : 'Прикрепить файл'}}
                    </label>
                    <ul class="" *ngIf="files.length !== 0">
                        <li *ngFor="let file of files">
                            <div>
                                {{file}}
                            </div>
                        </li>
                    </ul>
                    </div>
                <div class="mt-5">
                    <button class="btn btn-dark" type="submit" [disabled]="!form.valid">{{'humanresources.attachNassaign' | translate}}</button>
                </div>
            </form>
        </div>
        </div>
</ng-template>